## org.gnu.pango
Class AttrIterator

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.pango.AttrIterator

public class AttrIterator
extends Boxed

The AttrIterator object is used to represent an iterator through a List. A new iterator is created with pango_attr_list_get_iterator(). Once the iterator is created, it can be advanced through the style changes in the text using pango_attr_iterator_next(). At each style change, the range of the current style segment and the attributes currently in effect can be queried. todo: is this needed?

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`AttrIterator(AttrIterator iter)` Create a copy of the provided iterator.
`AttrIterator(Handle handle)`

Method Summary
`protected void` `finalize()`
`Attribute` `get(AttrType type)` Find the current attribute of a particular type at the iterator location.
`int` `getRangeEnd()` Return the end of the current segment range.
`int` `getRangeStart()` Return the beginning of the current segment range.
`boolean` `next()` Advance the iterator until the next change of style.
`protected static Handle` `pango_attr_iterator_copy(Handle iterator)`
`protected static void` `pango_attr_iterator_destroy(Handle iterator)`
`protected static Handle` `pango_attr_iterator_get(Handle iterator, int type)`
`protected static boolean` `pango_attr_iterator_next(Handle iterator)`
`protected static void` `pango_attr_iterator_range(Handle iterator, int[] start, int[] end)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrIterator

    public AttrIterator(Handle handle)

### AttrIterator

    public AttrIterator(AttrIterator iter)

  Create a copy of the provided iterator.

Parameters:
  `iter` -

Method Detail

### next

    public boolean next()

  Advance the iterator until the next change of style.

  Returns:
    false if the iterator is at the end of the list.

### getRangeStart

    public int getRangeStart()

  Return the beginning of the current segment range.

### getRangeEnd

    public int getRangeEnd()

  Return the end of the current segment range.

### get

    public Attribute get(AttrType type)

  Find the current attribute of a particular type at the iterator location. When multiple attributes of the same type overlap, the attribute whose range starts closest to the current location is used.

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### pango_attr_iterator_range

    protected static final void pango_attr_iterator_range(Handle iterator,
                                                          int[] start,
                                                          int[] end)

### pango_attr_iterator_next

    protected static final boolean pango_attr_iterator_next(Handle iterator)

### pango_attr_iterator_copy

    protected static final Handle pango_attr_iterator_copy(Handle iterator)

### pango_attr_iterator_destroy

    protected static final void pango_attr_iterator_destroy(Handle iterator)

### pango_attr_iterator_get

    protected static final Handle pango_attr_iterator_get(Handle iterator,
                                                          int type)